org.keycloak.models.sessions.infinispan.entities

## Class ActionTokenValueEntity.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.ActionTokenValueEntity.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<ActionTokenValueEntity>
  Enclosing class:
    ActionTokenValueEntity

      public static class ActionTokenValueEntity.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<ActionTokenValueEntity>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionTokenValueEntity` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, ActionTokenValueEntity t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  ActionTokenValueEntity t)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<ActionTokenValueEntity>`
      Throws:
        `IOException`

    - #### readObject

          public ActionTokenValueEntity readObject(ObjectInput input)
                                            throws IOException,
                                                   ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<ActionTokenValueEntity>`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.